import defaultSettings from '@/settings'

const { showSettings, fixedHeader, sidebarLogo } = defaultSettings

export default {
  state: {
    showSettings: showSettings,
    fixedHeader: fixedHeader,
    sidebarLogo: sidebarLogo
  },
  changeSetting: function({ key, value }) {
    // eslint-disable-next-line no-prototype-builtins
    if (this.state.hasOwnProperty(key)) {
      this.state[key] = value
    }
  }
}
